package com.younike.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("积分管理接受参数")
public class FamilyParam implements Serializable {

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("绑定人手机号")
    private String binder;

    @ApiModelProperty("积分变动类型（001-消费 002-退款 003-抵扣 004-评价订单新增 005-退款回滚）")
    private String code;

    @ApiModelProperty("积分数量")
    private BigDecimal num;

    @ApiModelProperty("目标ID 18位")
    private String targetId;

    @ApiModelProperty("001 个人积分 002 家庭组积分")
    private String type;

    @ApiModelProperty("开始时间")
    private String starTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("备注")
    private String operation;

    @ApiModelProperty("订单详情")
    private String orderDetails;

    @ApiModelProperty("商户订单号")
    private String merchantId;

    @ApiModelProperty("请求来源")
    private String requestSource;

    @ApiModelProperty("积分订单号")
    private String integralId;

    @ApiModelProperty("商户号")
    private String merchantNumber;

    @ApiModelProperty("明细来源 0商户 1用户")
    private String merchantType;

    public String getMerchantType() {
        return merchantType;
    }

    public void setMerchantType(String merchantType) {
        this.merchantType = merchantType;
    }

    public String getMerchantNumber() {
        return merchantNumber;
    }

    public void setMerchantNumber(String merchantNumber) {
        this.merchantNumber = merchantNumber;
    }

    public String getIntegralId() {
        return integralId;
    }

    public void setIntegralId(String integralId) {
        this.integralId = integralId;
    }

    public String getRequestSource() {
        return requestSource;
    }

    public void setRequestSource(String requestSource) {
        this.requestSource = requestSource;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getOperation() {
        return operation;
    }

    public String getOrderDetails() {
        return orderDetails;
    }

    public void setOrderDetails(String orderDetails) {
        this.orderDetails = orderDetails;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getBinder() {
        return binder;
    }

    public void setBinder(String binder) {
        this.binder = binder;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public BigDecimal getNum() {
        return num;
    }

    public void setNum(BigDecimal num) {
        this.num = num;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStarTime() {
        return starTime;
    }

    public void setStarTime(String starTime) {
        this.starTime = starTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public FamilyParam() {
        super();
    }

}
